const transform = require('../index');
const cwd = process.cwd();

function getClassComponent(template) {
  return `
    import { Component } from 'rax';
    export default class extends Component {
      render() {
        return (${template});
      }
    }
  `;
}

describe('transform functional component', () => {
  it('basic with props', () => {
    const rawTemplate = getClassComponent(`
      <view foo={bar}>
        <text>hello world</text>
      </view>
    `);
    const options = {
      filePath: cwd + '/index.jsx',
      rootContext: cwd,
    };
    const expected = {
      body: {
        nodeId: '1',
        tagName: 'view',
        attributes: {
          foo: { '@binding': 'bar' }
        },
        childNodes: [
          {
            tagName: 'text',
            nodeId: '2',
            attributes: {
              value: ['hello world'],
            },
          }
        ],
      },
      components: [],
      data: {},
      props: {},
      styles: {},
    };

    expect(transform(rawTemplate, options)).toEqual(expected);
  });
});
