const transformStyle = require('../transformStyle');

describe('transformStyle', () => {
  it('should parse styles', () => {
    const rawCSS = `
      .foo {
        color: red;
      }
      
      .bar {
        font-size: 10px;
        margin: 20px 10px;
      }
    `;
    const expected = {
      foo: {
        color: 'red',
      },
      bar: {
        fontSize: '10px',
          marginBottom: '20px',
          marginLeft: '10px',
          marginRight: '10px',
          marginTop: '20px',
      },
    };

    expect(transformStyle(rawCSS)).toEqual(expected);
  });

  it('media query unsupport', () => {
    const rawCSS = `
      .foo {
        color: red;
      }
      
      @media (min-height: 680px), screen and (orientation: portrait) { 
        .bar {
          font-size: 10px;
          margin: 20px 10px;
        }
      }
    `;

    expect(() => transformStyle(rawCSS))
      .toThrowError('media query');
  });
});
