const Node = require('../parser/Node');

function transformNode(node) {
  if (node instanceof Node) {
    switch (node.tag) {
      case 'View':
      case 'view':
        node.tag = 'div';
        break;

      case 'Text':
      case 'span':
        node.tag = 'text';
        // ref: https://github.com/raxjs/rax-text/blob/master/src/index.js#L30
        if (node.attrs.hasOwnProperty('numberOfLines')) {
          const style = node.attrs.style = node.attrs.style || {};
          style.lines = node.attrs.numberOfLines;
        }
        break;

    }
  }
  return node;
}

module.exports = {
  transformNode,
};
