const transformStyle = require('../codegen/transformStyle');
const STYLE = 'style';

module.exports = {
  /**
   * Transform string style to CSS object.
   * @param node
   * @param opts
   */
  transformNode(node, opts) {
    if (typeof node === 'object' && STYLE in node.attrs) {
      const rawValue = node.attrs[STYLE];
      if (typeof rawValue === 'string') {
        node.attrs[STYLE] = [transformStyleRule(rawValue)];
      } else if (typeof rawValue === 'object') {
        node.attrs[STYLE] = rawValue;
      }
    }

    return node;
  }
}

/**
 * Get styles object from style rule.
 * eg: input: color: red;
 *     output: { color: 'red' }
 * @param ruleSource
 * @return {*}
 */
function transformStyleRule(ruleSource) {
  return transformStyle('.rule {' + ruleSource + '}').rule;
}
